Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atomikos.icatch.msg
Class MessageRecoveryCoordinator

    java.lang.Object
      com.atomikos.icatch.msg.MessageRecoveryCoordinator

All Implemented Interfaces:
  RecoveryCoordinator, Externalizable, Serializable

    public class MessageRecoveryCoordinator

extends Object
implements RecoveryCoordinator, Externalizable

Copyright © 2002, Guy Pardon. All rights reserved. A recovery coordinator that takes the role of adaptor. Instances are responsible of the correct translation of local replay requests into corresponding message requests to the remote coordinator.

See Also:
  Serialized Form

Constructor Summary
`MessageRecoveryCoordinator()`
`MessageRecoveryCoordinator(String cUri, Object address, Transport transport)` Creates a new instance.

Method Summary
`Object` | `getAddress()` Gets the address
`String` | `getURI()` Gets the URI identifier for this coordinator.
`void` | `readExternal(ObjectInput in)`
`Boolean` | `replayCompletion(Participant localCoordinator)` Transforms a replay request on behalf of a local coordinator into a request that conforms to a message-based two-phase commit.
`void` | `setAddress(Object address)` Sets the address (needed for WS-T).
`void` | `writeExternal(ObjectOutput out)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MessageRecoveryCoordinator

    public MessageRecoveryCoordinator()

### MessageRecoveryCoordinator

    public MessageRecoveryCoordinator(String cUri,
                                      Object address,
                                      Transport transport)

  Creates a new instance.

  Parameters:
    `cUri` - The URI of the REMOTE coordinator to ask replay to.
    `address` - The address where the REMOTE can be reached.
    `transport` - The transport to use.

Method Detail

### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

  Specified by:
    `writeExternal` in interface `Externalizable`
  Throws:
    `IOException`

### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

  Specified by:
    `readExternal` in interface `Externalizable`
  Throws:
    `IOException`
    `ClassNotFoundException`

### replayCompletion

    public Boolean replayCompletion(Participant localCoordinator)
                             throws IllegalStateException

  Transforms a replay request on behalf of a local coordinator into a request that conforms to a message-based two-phase commit.

  Specified by:
    `replayCompletion` in interface `RecoveryCoordinator`
  Parameters:
    `localCoordinator` - The local coordinator making the request.
  Returns:
    Boolean Null if decision not know to coordinator yet; True if commit is known, False if abort is known.
  Throws:
    `IllegalStateException` - If no prepare was done for the participant asking the replay.

### getURI

    public String getURI()

  Description copied from interface: `RecoveryCoordinator`
  Gets the URI identifier for this coordinator.

  Specified by:
    `getURI` in interface `RecoveryCoordinator`
  Returns:
    String The URI identifier.
  See Also:
    `RecoveryCoordinator`

### getAddress

    public Object getAddress()

  Gets the address

  Returns:
    Object the address.

### setAddress

    public void setAddress(Object address)

  Sets the address (needed for WS-T).

  Parameters:
    `address` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.